%{

#include <string.h>

%}

%option nounput
%option noinput
%option noyywrap

%%

"("	{ return '('; }
")"	{ return ')'; }
"&"	{ return AND; }
"/\\"	{ return AND; }
"*"	{ return AND; }
"+"	{ return OR; }
"|"	{ return OR; }
"\\/"	{ return OR; }
"!"	{ return NOT; }
"-"	{ return NOT; }
"<->"	{ return EQV; }
"<=>"	{ return EQV; }
"->"	{ return IMP; }
"=>"	{ return IMP; }
"="	{ return EQV; }
"<"	{ return IMP; }

[A-Za-z][0-9A-Za-z_]* {
		  yylval.string = strdup(yytext);
		  return VAR;
	}

.               ;
"\n"		;
